package com.cl.exception;

/**
 * Demo's multiple exception handlers
 */
public class MultipleHandlerDemo {
/**
 * MultipleHandlerDemo constructor comment.
 */
public MultipleHandlerDemo() {
	super();
}
/**
 * Install file and mail exception handler.
 * @param args java.lang.String[]
 */
public static void main(String args[]) {

	// Install flat file handler

	Dispatch.install(new FileHandler("c:\\temp\\errors.txt"));
	// Install mail handler, specify on call developer
	Dispatch.install(new MailHandler("dpitt@crosslogic.com"));
	String aString = new String("Hello");
	try {
		// cause an exception to be thrown...	
		aString.charAt(aString.length() + 1);
	} catch (Throwable e) {
		Dispatch.handle(e);
	}
}
}