package com.cl.exception;

import java.util.*;
/**
 * This type was created in VisualAge.
 */
public class Dispatch  {

	static Vector handlers = new Vector();
	static Handler defaultHandler = new ConsoleHandler();
	
/**
 * Dispatch constructor comment.
 */
public Dispatch() {
	super();
}
/**
 * This method was created in VisualAge.
 */
public static void handle(Throwable exception) {

	// Create exception event
	
	ExceptionEvent anEvent = new ExceptionEvent( exception );
	if (defaultHandler != null )
	{
		defaultHandler.handle( anEvent ); }

	// Send to handlers

	Enumeration elements = handlers.elements();
	while (elements.hasMoreElements())
	{
		Handler aHandler = (Handler) elements.nextElement();
		aHandler.handle(anEvent);
	}

	
}
/**
 * This method was created in VisualAge.
 */
static void handleUsingDefault(Throwable exception) {

	// Create exception event
	
	ExceptionEvent anEvent = new ExceptionEvent( exception );
	if (defaultHandler != null )
	{
		defaultHandler.handle( anEvent ); }

	
}
/**
 * newMethod method comment.
 */
public static void install(Handler aHandler) {
	handlers.addElement(aHandler);
}
/**
 * set default hanlder.
 */
public static void setDefaultHandler(Handler aHandler) {
	defaultHandler = aHandler;
}
}