package com.cl.exception;

import java.util.*;
import java.io.*;
/**
 * Models an ExceptionEvent
 */
public class ExceptionEvent {

	private Date date = new Date();
	private Throwable exception = null;
	private String stack = null;
	
	
/**
 * ExceptionEvent constructor comment.
 */
public ExceptionEvent(Throwable e) {
	super();

	ByteArrayOutputStream aByteArray = new ByteArrayOutputStream();
	PrintWriter p = new PrintWriter(aByteArray);
	e.printStackTrace(p);
	setException(e);
	setDate( new java.util.Date() );
	setStack( aByteArray.toString() );
	
}
/**
 * This method was created in VisualAge.
 */
public Throwable exception() {
	return exception;
}
/**
 * This method was created in VisualAge.
 */
public Date getDate() {
	return date;
}
/**
 * This method was created in VisualAge.
 */
public Throwable getException() {
	return exception;
}
/**
 * This method was created in VisualAge.
 */
public String getStack() {
	return stack;
}
/**
 * Format and return exception info.
 */
public String info() {


	String aString = getException().getMessage();
	aString += "\n"+getStack();
	
	return aString;	
}
/**
 * This method was created in VisualAge.
 */
public void setDate(Date aDate) {
	date = aDate;
	return;
}
/**
 * This method was created in VisualAge.
 */
public void setException(Throwable e) {
	exception = e;
}
/**
 * This method was created in VisualAge.
 */
public void setStack(String aString) {
	stack = aString;
}
}