package com.cl.exception;

import java.io.*;
/**
 * File handler designed to output exceptions to flat file. 
 */
public class FileHandler implements Handler {
	FileWriter writer = null;
/**
 * Intialize FileWriter instance.
 */
public FileHandler(String aFileName) {
	super();

	// Create file writer
	try {
		writer = new FileWriter( new File(aFileName));
	} catch(IOException e) {Dispatch.handleUsingDefault(e); }
}
protected void finalize() //throws IOException 
{
	try {
	writer.flush();
	writer.close();
	System.out.println("Finalize: file handler closed");}
	catch(IOException e) {Dispatch.handleUsingDefault(e); }
}
/**
 * Write exception info to a file.
 */
public void handle(ExceptionEvent event) {


	try {
	writer.write(event.info()); }
	catch(IOException e) {Dispatch.handleUsingDefault(e); }
	

	
	
}
}